# Numerical Simulation of 2D Trajectory of a Non-Buoyant Fluid Parcel under Inertial Oscillation



[![License: WTFPL](https://img.shields.io/badge/License-WTFPL-brightgreen.svg)](http://www.wtfpl.net/about/)
[![No Maintenance Intended](http://unmaintained.tech/badge.svg)](http://unmaintained.tech/)
[![GitHub watchers](https://img.shields.io/github/watchers/Naereen/StrapDown.js.svg?style=social&label=Watch&maxAge=2592000)](https://github.com/sandyherho/inerOsci/watchers)


This repository contains the code and data associated with the paper titled "Numerical Simulation of the 2D Trajectory of a Non-Buoyant Fluid Parcel under the Influence of Inertial Oscillation" by Herho et al. (2024).

## Overview

The study investigates the trajectory of a non-buoyant fluid parcel subjected to inertial oscillations, a phenomenon of profound relevance in geophysical fluid dynamics. The simulations were implemented using multiple open-source programming languages, including Fortran 95, Python, GNU Octave, R, and Julia, to facilitate transparency, reproducibility, and collaborative development.

## Dependencies

The dependencies for each programming language implementation includes:

- [Fortran](https://fortran-lang.org/)
- [Python](https://www.python.org/): [NumPy](https://numpy.org/), [Matplotlib](https://matplotlib.org/), [Pandas](https://pandas.pydata.org/), [seaborn](https://seaborn.pydata.org/), [SciPy](https://scipy.org/), and [scikit-posthoc](https://scikit-posthocs.readthedocs.io/en/latest/)
- [GNU Octave](https://octave.org/)
- [R](https://www.r-project.org/)
- [Julia](https://julialang.org/)

## Contributing

Contributions to this project are welcome. If you find any issues or have suggestions for improvements, please open an issue or submit a pull request.

## License

This project is licensed under the [WTFPL](http://www.wtfpl.net/).

## Acknowledgments

We extend our sincere gratitude to Andrew J. Ridgwell, Gayatri Mishra, and Sandra K. Turner for their invaluable discussions on geophysical fluid dynamics within oceanic realms, and to Faiz R. Fajary for insightful conversations regarding atmospheric dynamics. Their collective expertise greatly enriched our understanding and contributed significantly to this work. We are also grateful for the generous support from the Dean’s Distinguished Fellowship at the University of California, Riverside (UCR) in 2023 and the ITB Research, Community Services, and Innovation Program (PPMI-ITB) in 2024, which made this research possible.

## Citation

If you use this code or data in your research, please cite the following paper:

```
@article{herho2024Inertial,
  title={{Numerical Simulation of the 2D Trajectory of a Non-Buoyant Fluid Parcel under the Influence of Inertial Oscillation}},
  author={Herho, S. H. S. and Anwar, I. P. and Herho, K. E. P. and Dharma, C. S. and Irawan, D. E.},
  journal={xxx},
  year={2024},
  doi={xxx}
}
```
